Index: trunk/src/org/expeditee/setting/ArraySetting.java
===================================================================
--- trunk/src/org/expeditee/setting/ArraySetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/ArraySetting.java	(revision 1242)
@@ -21,4 +21,7 @@
 import java.util.Arrays;
 
+import org.expeditee.core.Representable;
+import org.expeditee.gui.Frame;
+import org.expeditee.gui.FrameIO;
 import org.expeditee.items.Text;
 
@@ -28,6 +31,6 @@
 	protected T[] _value;
 	
-	public ArraySetting(String tooltip, T[] value) {
-		super(tooltip);
+	public ArraySetting(String tooltip, String name, T[] value) {
+		super(tooltip, name);
 		_default = Arrays.copyOf(value, value.length);
 		_value = value;
@@ -62,4 +65,33 @@
 		_value = Arrays.copyOf(_default, _default.length);
 	}
-
+	
+	@Override
+	public Text generateRepresentation(String label, String frameset) {
+		Text t = new Text(label);
+		
+		if (_value.length > 0) {
+			Frame arrayFrame = FrameIO.CreateFrame(frameset, null, null);
+			arrayFrame.getTitleItem().delete();
+			
+			int x = 100;
+			int y = 100;
+			for (T v: _value) {
+				if (v == null) continue;
+				Text representation;
+				if (v instanceof Representable) {
+					representation = ((Representable) v).generateRepresentation("Array Entry", "");
+					representation.setPosition(x, y);
+					representation.setID(arrayFrame.getNextItemID());
+					arrayFrame.addItem(representation);
+				} else {
+					representation = arrayFrame.addText(x, y, v.toString(), null);
+				}
+				y += representation.getBoundsHeight();
+			}
+			FrameIO.ForceSaveFrame(arrayFrame);
+			t.setLink(arrayFrame.getName());
+		}
+		
+		return t;
+	}
 }
Index: trunk/src/org/expeditee/setting/BooleanSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/BooleanSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/BooleanSetting.java	(revision 1242)
@@ -21,6 +21,6 @@
 public class BooleanSetting extends GenericSetting<Boolean> {
 
-	public BooleanSetting(String tooltip, Boolean value) {
-		super(Boolean.class, tooltip, value);
+	public BooleanSetting(String tooltip, String name, Boolean value) {
+		super(Boolean.class, tooltip, name, value);
 	}
 }
Index: trunk/src/org/expeditee/setting/FloatSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/FloatSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/FloatSetting.java	(revision 1242)
@@ -21,6 +21,6 @@
 public class FloatSetting extends GenericSetting<Float> {
 
-	public FloatSetting(String tooltip, Float value) {
-		super(Float.class, tooltip, value);
+	public FloatSetting(String tooltip, String name, Float value) {
+		super(Float.class, tooltip, name, value);
 	}
 }
Index: trunk/src/org/expeditee/setting/FrameSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/FrameSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/FrameSetting.java	(revision 1242)
@@ -24,6 +24,6 @@
 public abstract class FrameSetting extends Setting {
 
-	public FrameSetting(String tooltip) {
-		super(tooltip);
+	public FrameSetting(String tooltip, String name) {
+		super(tooltip, name);
 	}
 	
@@ -45,3 +45,8 @@
 	}
 
+	@Override
+	public Text generateRepresentation(String label, String frameset) {
+		Text t = new Text(label);
+		return t;
+	}
 }
Index: trunk/src/org/expeditee/setting/FunctionSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/FunctionSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/FunctionSetting.java	(revision 1242)
@@ -24,6 +24,6 @@
 public abstract class FunctionSetting extends Setting {
 	
-	public FunctionSetting(String tooltip) {
-		super(tooltip);
+	public FunctionSetting(String tooltip, String name) {
+		super(tooltip, name);
 	}
 	
@@ -45,3 +45,9 @@
 		return false;
 	}
+	
+	@Override
+	public Text generateRepresentation(String label, String frameset) {
+		Text text = new Text(label + ": false");
+		return text;
+	}
 }
Index: trunk/src/org/expeditee/setting/GenericSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/GenericSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/GenericSetting.java	(revision 1242)
@@ -43,6 +43,6 @@
 	 * @param value Default value
 	 */
-	public GenericSetting(Class<T> type, String tooltip, T value) {
-		super(tooltip);
+	public GenericSetting(Class<T> type, String tooltip, String name, T value) {
+		super(tooltip, name);
 		_type = type;
 		_default = value;
@@ -53,6 +53,6 @@
 	 * Instantiates a new setting with no default value
 	 */
-	public GenericSetting(Class<T> type, String tooltip) {
-		this(type, tooltip, (T) saneInitialValue(type));
+	public GenericSetting(Class<T> type, String tooltip, String name) {
+		this(type, tooltip, name, (T) saneInitialValue(type));
 	}
 	
@@ -137,4 +137,11 @@
 		_value = _default;
 	}
+	
+	@Override
+	public Text generateRepresentation(String name, String frameset) {
+		T value = get();
+		Text t = new Text(name + ": " + (value == null ? "" : value));
+		return t;
+	}
 
 }
Index: trunk/src/org/expeditee/setting/IntegerSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/IntegerSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/IntegerSetting.java	(revision 1242)
@@ -21,6 +21,6 @@
 public class IntegerSetting extends GenericSetting<Integer> {
 
-	public IntegerSetting(String tooltip, Integer value) {
-		super(Integer.class, tooltip, value);
+	public IntegerSetting(String tooltip, String name, Integer value) {
+		super(Integer.class, tooltip, name, value);
 	}
 }
Index: trunk/src/org/expeditee/setting/ListSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/ListSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/ListSetting.java	(revision 1242)
@@ -22,4 +22,7 @@
 import java.util.List;
 
+import org.expeditee.core.Representable;
+import org.expeditee.gui.Frame;
+import org.expeditee.gui.FrameIO;
 import org.expeditee.items.Text;
 
@@ -29,12 +32,12 @@
 	protected List<T> _value;
 	
-	public ListSetting(String tooltip, List<T> value) {
-		super(tooltip);
+	public ListSetting(String tooltip, String name, List<T> value) {
+		super(tooltip, name);
 		_default = new LinkedList<T>(value);
 		_value = value;
 	}
 	
-	public ListSetting(String tooltip) {
-		this(tooltip, new LinkedList<T>());
+	public ListSetting(String tooltip, String name) {
+		this(tooltip, name, new LinkedList<T>());
 	}
 	
@@ -57,3 +60,32 @@
 	}
 
+	@Override
+	public Text generateRepresentation(String label, String frameset) {
+		Text t = new Text(label);
+		
+		if (!_value.isEmpty()) {
+			Frame listFrame = FrameIO.CreateFrame(frameset, null, null);
+			listFrame.getTitleItem().delete();
+			
+			int x = 100;
+			int y = 100;
+			for (T v: _value) {
+				if (v == null) continue;
+				Text representation;
+				if (v instanceof Representable) {
+					representation = ((Representable) v).generateRepresentation("List Entry", "");
+					representation.setPosition(x, y);
+					representation.setID(listFrame.getNextItemID());
+					listFrame.addItem(representation);
+				} else {
+					representation = listFrame.addText(x, y, v.toString(), null);
+				}
+				y += representation.getBoundsHeight();
+			}
+			FrameIO.ForceSaveFrame(listFrame);
+			t.setLink(listFrame.getName());
+		}
+		
+		return t;
+	}
 }
Index: trunk/src/org/expeditee/setting/Setting.java
===================================================================
--- trunk/src/org/expeditee/setting/Setting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/Setting.java	(revision 1242)
@@ -19,16 +19,23 @@
 package org.expeditee.setting;
 
+import org.expeditee.core.Representable;
 import org.expeditee.items.Text;
 
-public abstract class Setting {
+public abstract class Setting implements Representable {
 	
 	private String _tooltip;
+	private String _name;
 	
-	public Setting(String tooltip) {
+	public Setting(String tooltip, String name) {
 		this._tooltip = tooltip;
+		this._name = name;
 	}
 	
 	public final String getTooltip() {
 		return _tooltip;
+	}
+	
+	public final String getName() {
+		return _name;
 	}
 	
Index: trunk/src/org/expeditee/setting/StringSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/StringSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/StringSetting.java	(revision 1242)
@@ -22,5 +22,5 @@
 
 	public StringSetting(String tooltip, String value) {
-		super(String.class, tooltip, value);
+		super(String.class, tooltip, value, value);
 	}
 }
Index: trunk/src/org/expeditee/setting/TextSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/TextSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/TextSetting.java	(revision 1242)
@@ -23,6 +23,6 @@
 public abstract class TextSetting extends GenericSetting<Text> {
 
-	public TextSetting(String tooltip) {
-		super(Text.class, tooltip, null);
+	public TextSetting(String tooltip, String name) {
+		super(Text.class, tooltip, name, null);
 		_default = generateText();
 		_value = _default;
@@ -41,4 +41,8 @@
 	
 	public abstract Text generateText();
+	
+	public Text generateRepresentation(String label, String frameset) {
+		return get();
+	}
 
 }
Index: trunk/src/org/expeditee/setting/VariableSetting.java
===================================================================
--- trunk/src/org/expeditee/setting/VariableSetting.java	(revision 1241)
+++ trunk/src/org/expeditee/setting/VariableSetting.java	(revision 1242)
@@ -21,6 +21,6 @@
 public abstract class VariableSetting extends Setting {
 	
-	public VariableSetting(String tooltip) {
-		super(tooltip);
+	public VariableSetting(String tooltip, String name) {
+		super(tooltip, name);
 	}
 	
Index: trunk/src/org/expeditee/settings/Settings.java
===================================================================
--- trunk/src/org/expeditee/settings/Settings.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/Settings.java	(revision 1242)
@@ -22,4 +22,5 @@
 import java.lang.reflect.Method;
 import java.util.HashMap;
+import java.util.Iterator;
 import java.util.LinkedList;
 import java.util.List;
@@ -32,5 +33,4 @@
 import org.expeditee.items.widgets.Password;
 import org.expeditee.reflection.PackageLoader;
-import org.expeditee.setting.GenericSetting;
 import org.expeditee.setting.Setting;
 import org.expeditee.setting.VariableSetting;
@@ -229,16 +229,14 @@
 	}
 	
-	/** Generates settings tree */
-	private static void generateSettingsTree(String page, Text text)
-	{
-		FrameCreator frames = new FrameCreator(text.getParentOrCurrentFrame().getFramesetName(), text.getParentOrCurrentFrame().getPath(), page, false, false);
-		// Frame frame = FrameIO.CreateFrame(text.getParentOrCurrentFrame().getFramesetName(), page, null);
+	private static void generateSettingsTree(String page, Text text) {
+		Frame parent = text.getParentOrCurrentFrame();
+		FrameCreator frames = new FrameCreator(parent.getFramesetName(), parent.getPath(), page, false, false);
 		text.setLink(frames.getName());
 		
-		// add subpages of the current page
-		for(String k : _pages.keySet()) {
-			if(k.startsWith(page.toLowerCase()) && !k.equals(page)) {
+		// Add subpages of the current page by recursing
+		for (String k: _pages.keySet()) {
+			if (k.startsWith(page.toLowerCase()) && !k.equals(page)) {
 				String name = k.substring(page.length() + 1);
-				if(name.indexOf('.') != -1) {
+				if (name.indexOf('.') != -1) {
 					continue;
 				}
@@ -248,63 +246,60 @@
 		}
 		
+		// Start building current page
 		frames.setLastY(frames.getLastY() + 20);
-		
-		// add settings of the current page
+		// 	Add Settings of the current page
 		PageDescriptor pd = _pages.get(page);
-		if(pd != null) {
-			for(String str : pd.orderedEntries) {
-				String key = str.toLowerCase();
-				Setting s = pd.settings.get(key);
-				if(s == null) {
+		if (pd == null) {
+			frames.save();
+			return;
+		}
+		
+		
+		Iterator<String> keys = pd.orderedEntries.stream().map(t -> t.toLowerCase()).iterator();
+		while(keys.hasNext()) {
+			String key = keys.next();
+			Setting setting = pd.settings.get(key);
+			if (setting == null) {
+				continue;
+			}
+			
+			// Keep track of were we are placing items on Frames.
+			int x = 0, y = 0;
+			
+			if (key.equals("pass")) {
+				// Special case for Password widgets
+				Text passwordWidgetText = frames.addText("iw: org.expeditee.items.widgets.Passwsord", null, null, null, false);
+				Password pw = new Password(passwordWidgetText, null);
+				pw.setPassword("");
+				frames.getCurrentFrame().removeItem(passwordWidgetText);
+				frames.getCurrentFrame().addAllItems(pw.getItems());
+				x = passwordWidgetText.getX() + passwordWidgetText.getBoundsWidth();
+				y = passwordWidgetText.getY();
+			} else {
+				// Determine the content for a setting label.
+				String name = key.substring(0, 1).toUpperCase() + key.substring(1);
+				
+				// Construct and add text representation for setting.  
+				// If a setting has no initialised value then it is not included.
+				Text settingRepresentation = setting.generateRepresentation(name, frames.getCurrentFrame().getFramesetName()).copy();
+				if (settingRepresentation.getBounds() == null) {
 					continue;
 				}
-				String name = str.substring(0, 1).toUpperCase() + str.substring(1);
-				String value = "";
-				if(s instanceof GenericSetting && ((GenericSetting<?>) s).isPrimitive()) {
-					if(((GenericSetting<?>) s).get() != null) {
-						value = ": " + ((GenericSetting<?>) s).get();
-					} else {
-						value = ": ";
-					}
-				}
-				int x = 0, y = 0;
-				Text t;
-				if(key.equals("pass")) {
-					t = frames.addText("iw: org.expeditee.items.widgets.Password", null, null, null, false);
-					Password pw = new Password(t, null);
-					pw.setPassword((String) value);
-					frames.getCurrentFrame().removeItem(t);
-					frames.getCurrentFrame().addAllItems(pw.getItems());
-					x = pw.getX() + pw.getWidth();
-					y = pw.getY();
-				} else {
-					if(s instanceof GenericSetting && ((GenericSetting<?>) s).getType().equals(Text.class)) {
-    					t = (Text) ((GenericSetting<?>)s).get();
-    					if(t == null) {
-    						System.err.println("Failed to get Text setting \"" + str + "\"");
-    						continue;
-    					}
-    					t = t.copy();
-    					t.setID(frames.getCurrentFrame().getNextItemID());
-    					t.setText(name);
-    					frames.addItem(t, false);
-    				} else {
-    					t = frames.addText(name + value, null, null, null, false);
-    				}
-					x = t.getX() + t.getBoundsWidth();
-					y = t.getY();
-				}
-				x = Math.max(250, x + 20);
-				Text tt = frames.getCurrentFrame().addText(x, y, "// " + s.getTooltip(), null);
-				// rebuild to get the correct height since setWidth() doesn't immediately rebuild
-				tt.rebuild(true);
-				if(tt.getY() + tt.getBoundsHeight() > frames.getLastY()) {
-					frames.setLastY(tt.getY() + tt.getBoundsHeight());
-				}
+				settingRepresentation.setID(frames.getCurrentFrame().getNextItemID());
+				frames.addItem(settingRepresentation, false);				
+				x = settingRepresentation.getX() + settingRepresentation.getBoundsWidth();
+				y = settingRepresentation.getY();
+			}
+			
+			x = Math.max(250, x + 20);
+			// Add tooltip for setting
+			Text tooltip = frames.getCurrentFrame().addText(x, y, "// " + setting.getTooltip(), null);
+			tooltip.rebuild(true);
+			if (tooltip.getY() + tooltip.getBoundsHeight() > frames.getLastY()) {
+				frames.setLastY(tooltip.getY() + tooltip.getBoundsHeight());
 			}
 		}
 		
 		frames.save();
-		//FrameIO.SaveFrame(frame);
 	}
 }
Index: trunk/src/org/expeditee/settings/UserSettings.java
===================================================================
--- trunk/src/org/expeditee/settings/UserSettings.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/UserSettings.java	(revision 1242)
@@ -22,6 +22,6 @@
 import java.io.FileNotFoundException;
 import java.io.IOException;
+import java.nio.file.Paths;
 import java.util.ArrayList;
-import java.util.Collection;
 import java.util.LinkedList;
 import java.util.List;
@@ -34,5 +34,4 @@
 import org.expeditee.gui.FrameUtils;
 import org.expeditee.gui.MessageBay;
-import org.expeditee.items.Item;
 import org.expeditee.items.Text;
 import org.expeditee.setting.BooleanSetting;
@@ -53,6 +52,8 @@
 	
 	public static String DEFAULT_PROFILE_NAME = "default";
-	
-	public static final IntegerSetting Gravity = new IntegerSetting("Distance the cursor has to be from a text item to select the text item", 3);
+	 
+	public static Boolean multiUserMode;
+	
+	public static final IntegerSetting Gravity = new IntegerSetting("Distance the cursor has to be from a text item to select the text item", "Gravity", 3);
 	
 	public static final StringSetting StartFrame = new StringSetting("The frame to go to when Expeditee is started (defaults to the profile frame)", null);
@@ -82,7 +83,7 @@
 		}
 	};
-	public static final IntegerSetting InitialWidth = new IntegerSetting("Initial width of Expeditee window", 1024);
-	
-	public static final IntegerSetting InitialHeight = new IntegerSetting("Initial height of Expeditee window", 768);
+	public static final IntegerSetting InitialWidth = new IntegerSetting("Initial width of Expeditee window", "InitialWidth", 1024);
+	
+	public static final IntegerSetting InitialHeight = new IntegerSetting("Initial height of Expeditee window", "InitialHeight", 768);
 	
 	/*
@@ -90,71 +91,30 @@
 	 */
 	
-	public static final FloatSetting ScaleFactor = new FloatSetting("Scale Factor for drawing (TODO: does this even do anything?)", 1F);
-	
-	public static final FloatSetting FormatSpacingMin = new FloatSetting("Minimum spacing ratio", null);
-	
-	public static final FloatSetting FormatSpacingMax = new FloatSetting("Maximum spacing ratio", null);
-
-	public static final IntegerSetting LineStraightenThreshold = new IntegerSetting("Threshold for straightening a line (TODO: does this even do anything?)", 15);
-
-	public static final IntegerSetting NoOpThreshold = new IntegerSetting("Distance the cursor may be dragged before Gestures must be reinterpreted.  E.g. Copy becomes range.", 10);
-	
-	public static final IntegerSetting TitlePosition = new IntegerSetting("Position of title item in frame (TODO: find whether this is x-offset or y-offset)", 150);
-	
-	public static final StringSetting ProfileName = new StringSetting("Profile name", FrameIO.ConvertToValidFramesetName(System.getProperty("user.name"))) {
+	public static final FloatSetting ScaleFactor = new FloatSetting("Scale Factor for drawing (TODO: does this even do anything?)", "ScaleFactor", 1F);
+	
+	public static final FloatSetting FormatSpacingMin = new FloatSetting("Minimum spacing ratio", "FormatSpacingMin", null);
+	
+	public static final FloatSetting FormatSpacingMax = new FloatSetting("Maximum spacing ratio", "FormatSpacingMax", null);
+
+	public static final IntegerSetting LineStraightenThreshold = new IntegerSetting("Threshold for straightening a line (TODO: does this even do anything?)", "LineStraightenThreshold", 15);
+
+	public static final IntegerSetting NoOpThreshold = new IntegerSetting("Distance the cursor may be dragged before Gestures must be reinterpreted.  E.g. Copy becomes range.", "NoOpThreshold", 10);
+	
+	public static final IntegerSetting TitlePosition = new IntegerSetting("Position of title item in frame (TODO: find whether this is x-offset or y-offset)", "TitlePosition", 150);
+	
+	public static final StringSetting ProfileName = new StringSetting("Profile name", FrameIO.ConvertToValidFramesetName(System.getProperty("user.name")));
+	
+	public static final StringSetting UserName = new StringSetting("User name", ProfileName.get());
 		
-		/** Commit the change to the appropriate frame */
-		public void set(String value) {	
-			super.set(value);
-			commitToSettingsFrameItem(value, "ProfileName:");
-		};
-		
-		/** If authenticated, then resetting ProfileName should not do anything. */
-		public void reset() {
-			if (!Authenticated.get()) {
-				super.reset();
-			}
-		};
-	};
-	
-	public static final StringSetting UserName = new StringSetting("User name", ProfileName.get()) { 
-		/** Commit the change to the appropriate frame */
-		public void set(String value) {	
-			super.set(value);
-			commitToSettingsFrameItem(value, "UserName:");
-		};
-		
-		/** If authenticated, then resetting UserName should not do anything. */
-		public void reset() {
-			if (!Authenticated.get()) {
-				super.reset();
-			}
-		};
-	};
-		
-	public static final BooleanSetting AntiAlias = new BooleanSetting("Whether anti-aliasing should be enabled", false);
-
-	public static final BooleanSetting LineHighlight = new BooleanSetting("Whether lines should be highlighted", false);
-
-	public static final BooleanSetting Logging = new BooleanSetting("Whether logging should be enabled", false);
-
-	public static final BooleanSetting LogStats = new BooleanSetting("Whether stats should be logged", true);
-
-	public static final BooleanSetting Threading = new BooleanSetting("Whether threading should be enabled", true);
-
-	public static final BooleanSetting Authenticated = new BooleanSetting("Whether the current user is authenticated", false) {
-		public void set(Boolean value) {
-			super.set(value);
-			commitToSettingsFrameItem(value, "Authenticated:");
-		}
-		
-		// Authenticated must be maintained rather than rely on default value.
-		public void reset() {};
-		
-		public boolean setSetting(Text text) { 
-			return super.setSetting(text);
-		};
-	};
-	
+	public static final BooleanSetting AntiAlias = new BooleanSetting("Whether anti-aliasing should be enabled", "AntiAlias", false);
+
+	public static final BooleanSetting LineHighlight = new BooleanSetting("Whether lines should be highlighted", "LineHighlight", false);
+
+	public static final BooleanSetting Logging = new BooleanSetting("Whether logging should be enabled", "Logging", false);
+
+	public static final BooleanSetting LogStats = new BooleanSetting("Whether stats should be logged", "LogStats", true);
+
+	public static final BooleanSetting Threading = new BooleanSetting("Whether threading should be enabled", "Threading", true);
+
 	/*
 	 * Frames
@@ -167,5 +127,5 @@
 	 * Other
 	 */
-	public static final ListSetting<Text> Style = new ListSetting<Text>("Set the style (TODO: what does this do?)") {		
+	public static final ListSetting<Text> Style = new ListSetting<Text>("Set the style (TODO: what does this do?)", "Style") {		
 		@Override
 		public boolean setSetting(Text text) {
@@ -196,5 +156,5 @@
 	};
 	
-	public static final FunctionSetting SpellChecker = new FunctionSetting("Enables the dictionary with the default dictionary") {
+	public static final FunctionSetting SpellChecker = new FunctionSetting("Enables the dictionary with the default dictionary", "SpellChecker") {
 		@Override
 		public void run() {
@@ -208,5 +168,5 @@
 		}
 	};
-	public static final FrameSetting Spelling = new FrameSetting("Enables the dictionary and adds the items in the child frame to the dictionary") {
+	public static final FrameSetting Spelling = new FrameSetting("Enables the dictionary and adds the items in the child frame to the dictionary", "Spelling") {
 		@Override
 		public void run(Frame frame) {
@@ -219,5 +179,5 @@
 	};
 	
-	public static final FrameSetting GreenstoneSettings = new FrameSetting("Greenstone settings (TODO: What are these for?)") {
+	public static final FrameSetting GreenstoneSettings = new FrameSetting("Greenstone settings (TODO: What are these for?)", "GreenstoneSettings") {
 		@Override
 		public void run(Frame frame) {
@@ -226,5 +186,5 @@
 	};
 	
-	public static final FrameSetting Reminders = new FrameSetting("Reminders (TODO: What are these for?)") {
+	public static final FrameSetting Reminders = new FrameSetting("Reminders (TODO: What are these for?)", "Reminders") {
 		@Override
 		public void run(Frame frame) {
@@ -233,5 +193,5 @@
 	};
 	
-	public static final FrameSetting MailSettings = new FrameSetting("Mail Settings (TODO: How does this work?)") {
+	public static final FrameSetting MailSettings = new FrameSetting("Mail Settings (TODO: How does this work?)", "MailSettings") {
 		@Override
 		public void run(Frame frame) {
@@ -242,14 +202,23 @@
 	// add default values
 	static {
+		// Are we in the new regime or the old regime? 
+		File resFile = Paths.get(getDesiredExpediteeHome()).resolve(".res").toFile();
+		File resourcesPrivateFile = Paths.get(getDesiredExpediteeHome() + "resources-private" + File.separator).toFile();
+		if (resourcesPrivateFile.exists()) {
+			// If resources-private exists than this is a good sign we have new regime available.
+			multiUserMode = Boolean.TRUE;
+		} else if (resFile.exists()) {
+			// If we do not, but do have the .res file then this is a good sign we are in old regime.
+			multiUserMode = Boolean.FALSE;
+		} else {
+			// If we have neither then we are unpacking and therefore will have new regime available once unpacked.
+			multiUserMode = Boolean.TRUE;
+		}
+		
 		setupDefaultFolders();
 	}
-
-	public static void setupDefaultFolders() {
-		String expeditee_home = System.getProperty("expeditee.home");
-		if (expeditee_home != null) {
-		    FrameIO.changeParentFolder(expeditee_home + File.separator);
-		} else {
-		    FrameIO.changeParentFolder(getSaveLocation());
-		}
+		
+	public static void setupDefaultFolders() {		
+		FrameIO.changeParentFolder(getDesiredExpediteeHome());
 	  
 		FolderSettings.FrameDirs.get().clear();
@@ -258,15 +227,46 @@
 	}
 
+	private static String getDesiredExpediteeHome() {
+		String homeProperty = System.getProperty("expeditee.home");
+		String expeditee_home = homeProperty == null ? getSaveLocation() : homeProperty + File.separator;
+		return expeditee_home;
+	}
+
 	public static void appendDefaultFolders() {
-		FolderSettings.FrameDirs.get().add(FrameIO.FRAME_PATH);
-		FolderSettings.FrameDirs.get().add(FrameIO.PUBLIC_PATH);
-		FolderSettings.FrameDirs.get().add(FrameIO.PROFILE_PATH);
-		FolderSettings.FrameDirs.get().add(FrameIO.HELP_PATH);
-		FolderSettings.FrameDirs.get().add(FrameIO.MESSAGES_PATH);
-		FolderSettings.FrameDirs.get().add(FrameIO.SHARED_BY_ME_FRAMESETS);
-		FolderSettings.FrameDirs.get().add(FrameIO.SHARED_WITH_ME_FRAMESETS);
-		FolderSettings.FrameDirs.setDefault(FolderSettings.FrameDirs.get());
-		FolderSettings.ImageDirs.get().add(FrameIO.IMAGES_PATH);
-		FolderSettings.ImageDirs.setDefault(FolderSettings.ImageDirs.get());
+		if (multiUserMode) {
+			// The comments here explain how things have changed with the new regime.
+			// FrameDirs
+			// 1. PROFILE_PATH					Still points to same place.
+			// 2. SHARED_FRAMESETS_PATH			Still points to same place. (encryption stops just anyone reading it)
+			// 3. framesets-<username>			Generated on user account creation and must be refreshed on user switching.  Also gives access to tutorial stuffs.
+			// 4. FRAME_PATH					<expeditee-home>\resources-public\framesets.
+			// 5. HELP_PUBLIC_PATH				<expeditee-home>\resources-public\documentation.
+			// 6. MESSAGES_PATH					Still points to same place.  Should these be per user and encrypted?
+			// 7. PUBLIC_PATH					Still points to same place.  Kept for compatibility.
+			FolderSettings.FrameDirs.get().add(FrameIO.PROFILE_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.FRAME_PRIVATE_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.SHARED_FRAMESETS_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.FRAME_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.RESOURCES_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.MESSAGES_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.PUBLIC_PATH);
+			FolderSettings.FrameDirs.setDefault(FolderSettings.FrameDirs.get());
+						
+			// ImageDirs
+			// 1. resources-<username>\images	Generated on user account creation and must be refreshed on user switching.
+			// 2. IMAGES_PATH					<expeditee-home>\resources-public\images
+			FolderSettings.ImageDirs.get().add(FrameIO.IMAGES_PRIVATE_PATH);
+			FolderSettings.ImageDirs.get().add(FrameIO.IMAGES_PATH);
+			FolderSettings.ImageDirs.setDefault(FolderSettings.ImageDirs.get());
+		} else {
+			FolderSettings.FrameDirs.get().add(FrameIO.FRAME_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.PUBLIC_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.PROFILE_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.HELP_PATH);
+			FolderSettings.FrameDirs.get().add(FrameIO.MESSAGES_PATH);
+			FolderSettings.FrameDirs.setDefault(FolderSettings.FrameDirs.get());
+			FolderSettings.ImageDirs.get().add(FrameIO.IMAGES_PATH);
+			FolderSettings.ImageDirs.setDefault(FolderSettings.ImageDirs.get());
+		}
 	}
 
@@ -291,21 +291,3 @@
 		}
 	}
-	
-	private static void commitToSettingsFrameItem(Object value, String contentMatch) {
-		String profileName = UserSettings.UserName.get();
-		int lastNumber = FrameIO.getLastNumber(profileName);
-		for (int i = 1; i <= lastNumber; i++) {
-			Frame frame = FrameIO.LoadFrame(profileName + i);
-			if (frame != null) {
-	 			Collection<Item> items = frame.getAllItems();
-				boolean found = false;
-				for (Item item: items) {
-					if (item.getText().startsWith(contentMatch)) {
-						item.setText(contentMatch + " " + value);
-					}
-				}
-				if (found) { break; }
-			}
-		}
-	}
 }
Index: trunk/src/org/expeditee/settings/audio/AudioSettings.java
===================================================================
--- trunk/src/org/expeditee/settings/audio/AudioSettings.java	(revision 1241)
+++ trunk/src/org/expeditee/settings/audio/AudioSettings.java	(revision 1242)
@@ -19,8 +19,5 @@
 package org.expeditee.settings.audio;
 
-import org.expeditee.items.Text;
-import org.expeditee.setting.BooleanSetting;
 import org.expeditee.setting.IntegerSetting;
-import org.expeditee.setting.StringSetting;
 
 /**
@@ -32,5 +29,5 @@
 	public static final int PLAYBACK_CLOCK_RESOLUTION = 50;
 		
-	public static final IntegerSetting PlaybackClockResolution = new IntegerSetting("Clock resolution (in milliseconds) for graphical updates when playing audio", 50);
+	public static final IntegerSetting PlaybackClockResolution = new IntegerSetting("Clock resolution (in milliseconds) for graphical updates when playing audio", "PlaybackClockResolution", 50);
 
 }
